package it.integry.integrywmsnative.core.data_store.db.dao;

import androidx.room.Dao;
import androidx.room.Delete;
import androidx.room.Insert;
import androidx.room.Query;
import androidx.room.Update;

import java.util.List;

import it.integry.integrywmsnative.core.data_store.db.entity.Griglia;

@Dao
public interface GrigliaDao {
    @Query("SELECT * from griglie")
    List<Griglia> getAll();

    @Query("SELECT * from griglie where cod_alis = :codAlis")
    Griglia findByCodAlis(String codAlis);

    @Insert
    long insert(Griglia griglia);

    @Update
    void update(Griglia griglia);

    @Insert
    void insertAll(Griglia... griglie);

    @Update
    void updateAll(Griglia... griglie);

    @Delete
    void delete(Griglia griglia);

    @Query("SELECT * from griglie where griglia_id = :idGriglia")
    Griglia findGrigliaById(int idGriglia);
}
